#Plot Tau vs different variables 
plot(Research_Data_Compilation_simplified$tau, Research_Data_Compilation_simplified$TEP)

#one variable
#Model using TEP
TEP_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP)
#Summarize model
summary(TEP_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR
SeNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`)
#Summarize model
summary(SeNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_model), Research_Data_Compilation_simplified$tau)

#Model using PNMR
PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using CNMR
CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP
HEP_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP)
#Summarize model
summary(HEP_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_model), Research_Data_Compilation_simplified$tau)

#Model using bv
bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(bv_model), Research_Data_Compilation_simplified$tau)


#two variable
#Model using TEP and SeNMR
TEP_Se_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP + Research_Data_Compilation_simplified$`Se-NMR`)
#Summarize model
summary(TEP_Se_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_Se_model), Research_Data_Compilation_simplified$tau)

#Model using TEP and PNMR
TEP_P_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP + Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(TEP_P_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_P_model), Research_Data_Compilation_simplified$tau)

#Model using TEP and CNMR
TEP_C_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP + Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(TEP_C_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_C_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR and PNMR
SeNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+ Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(SeNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR and CNMR
SeNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+ Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(SeNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using PNMR and CNMR
PNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`P-NMR`+ Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(PNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(PNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP and TEP
HEP_TEP_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+ Research_Data_Compilation_simplified$TEP)
#Summarize model
summary(HEP_TEP_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_model), Research_Data_Compilation_simplified$tau)

#Model using HEP and SeNMR
HEP_SeNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+ Research_Data_Compilation_simplified$`Se-NMR`)
#Summarize model
summary(HEP_SeNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP and CNMR
HEP_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+ Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP and PNMR
HEP_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+ Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(HEP_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP and bv
HEP_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP and bv
TEP_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_bv_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR and bv
SeNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(SeNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using CNMR and bv
CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`C-NMR`+ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using PNMR and bv
PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`P-NMR`+ Research_Data_Compilation_simplified$bv)
#Summarize model
summary(PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(PNMR_bv_model), Research_Data_Compilation_simplified$tau)


#3 variable
#Model using HEP, TEP, and SeNMR
HEP_TEP_SeNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`)
#Summarize model
summary(HEP_TEP_SeNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, and CNMR
HEP_TEP_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_TEP_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, and PNMR
HEP_TEP_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(HEP_TEP_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, and bv
HEP_TEP_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, and CNMR
HEP_SeNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_SeNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, and PNMR
HEP_SeNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(HEP_SeNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, and bv
HEP_SeNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_SeNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, CNMR, and PNMR
HEP_CNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(HEP_CNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_CNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, CNMR, and bv
HEP_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, PNMR, and bv
HEP_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, and CNMR
TEP_SeNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(TEP_SeNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, and PNMR
TEP_SeNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(TEP_SeNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, and bv
TEP_SeNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_SeNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, CNMR, and PNMR
TEP_CNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(TEP_CNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_CNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, CNMR, and bv
TEP_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, PNMR, and bv
TEP_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR, CNMR, and PNMR
SeNMR_CNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(SeNMR_CNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_CNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR, CNMR, and bv
SeNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(SeNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR, PNMR, and bv
SeNMR_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(SeNMR_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using CNMR, PNMR, and bv
CNMR_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(CNMR_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(CNMR_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#4 variable
#Model using HEP, TEP, SeNMR, and PNMR
HEP_TEP_SeNMR_PNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`)
#Summarize model
summary(HEP_TEP_SeNMR_PNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_PNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, SeNMR, and CNMR
HEP_TEP_SeNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_TEP_SeNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, SeNMR, and bv
HEP_TEP_SeNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_SeNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, PNMR, and CNMR
HEP_TEP_PNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_TEP_PNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_PNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, PNMR, and bv
HEP_TEP_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, CNMR, and bv
HEP_TEP_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, PNMR, and CNMR
HEP_SeNMR_PNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_SeNMR_PNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_PNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, PNMR, and bv
HEP_SeNMR_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_SeNMR_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, CNMR, and bv
HEP_SeNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_SeNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, PNMR, CNMR, and bv
HEP_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, PNMR, and CNMR
TEP_SeNMR_PNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(TEP_SeNMR_PNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_PNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, PNMR, and bv
TEP_SeNMR_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_SeNMR_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, CNMR, and bv
TEP_SeNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_SeNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, PNMR, CNMR, and bv
TEP_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using SeNMR, PNMR, CNMR, and bv
SeNMR_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(SeNMR_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(SeNMR_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#5 variable
#Model using HEP, TEP, SeNMR, PNMR, and CNMR
HEP_TEP_SeNMR_PNMR_CNMR_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`)
#Summarize model
summary(HEP_TEP_SeNMR_PNMR_CNMR_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_PNMR_CNMR_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, SeNMR, PNMR, and bv
HEP_TEP_SeNMR_PNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_SeNMR_PNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_PNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, SeNMR, CNMR, and bv
HEP_TEP_SeNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_SeNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, TEP, PNMR, CNMR, and bv
HEP_TEP_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using HEP, SeNMR, PNMR, CNMR, and bv
HEP_SeNMR_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_SeNMR_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(HEP_SeNMR_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#Model using TEP, SeNMR, PNMR, CNMR, and bv
TEP_SeNMR_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(TEP_SeNMR_PNMR_CNMR_bv_model)
#Plot Actual value vs. Predicted value 
plot(predict(TEP_SeNMR_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)

#6 variable
#Model using HEP, TEP, SeNMR, PNMR, CNMR, and bv
HEP_TEP_SeNMR_PNMR_CNMR_bv_model <- lm(Research_Data_Compilation_simplified$tau ~ Research_Data_Compilation_simplified$HEP+Research_Data_Compilation_simplified$TEP+Research_Data_Compilation_simplified$`Se-NMR`+Research_Data_Compilation_simplified$`P-NMR`+Research_Data_Compilation_simplified$`C-NMR`+Research_Data_Compilation_simplified$bv)
#Summarize model
summary(HEP_TEP_SeNMR_PNMR_CNMR_bv_model)
 #Plot Actual value vs. Predicted value 
plot(predict(HEP_TEP_SeNMR_PNMR_CNMR_bv_model), Research_Data_Compilation_simplified$tau)


#Using F-test to show if the models significantly differ
#anova(FMG_Height_model, FMGN_Height_model)

#determine AIC and BIC for all models
AIC(TEP_model,SeNMR_model,PNMR_model,CNMR_model,HEP_model,bv_model,TEP_Se_model,TEP_P_model,TEP_C_model,SeNMR_PNMR_model,SeNMR_CNMR_model,PNMR_CNMR_model,HEP_TEP_model,HEP_SeNMR_model,HEP_CNMR_model,HEP_PNMR_model,HEP_bv_model,TEP_bv_model,SeNMR_bv_model,CNMR_bv_model,PNMR_bv_model,HEP_TEP_SeNMR_model,HEP_TEP_CNMR_model,HEP_TEP_PNMR_model,HEP_TEP_bv_model,HEP_SeNMR_CNMR_model,HEP_SeNMR_PNMR_model,HEP_SeNMR_bv_model,HEP_CNMR_PNMR_model,HEP_CNMR_bv_model,HEP_PNMR_bv_model,TEP_SeNMR_CNMR_model,TEP_SeNMR_PNMR_model,TEP_SeNMR_bv_model,TEP_CNMR_PNMR_model,TEP_CNMR_bv_model,TEP_PNMR_bv_model,SeNMR_CNMR_PNMR_model,SeNMR_CNMR_bv_model,SeNMR_PNMR_bv_model,CNMR_PNMR_bv_model,HEP_TEP_SeNMR_PNMR_model,HEP_TEP_SeNMR_CNMR_model,HEP_TEP_SeNMR_bv_model,HEP_TEP_PNMR_CNMR_model,HEP_TEP_PNMR_bv_model,HEP_TEP_CNMR_bv_model,HEP_SeNMR_PNMR_CNMR_model,HEP_SeNMR_PNMR_bv_model,HEP_SeNMR_CNMR_bv_model,HEP_PNMR_CNMR_bv_model,TEP_SeNMR_PNMR_CNMR_model,TEP_SeNMR_PNMR_bv_model,TEP_SeNMR_CNMR_bv_model,TEP_PNMR_CNMR_bv_model,SeNMR_PNMR_CNMR_bv_model,HEP_TEP_SeNMR_PNMR_CNMR_model,HEP_TEP_SeNMR_PNMR_bv_model,HEP_TEP_SeNMR_CNMR_bv_model,HEP_TEP_PNMR_CNMR_bv_model,HEP_SeNMR_PNMR_CNMR_bv_model,TEP_SeNMR_PNMR_CNMR_bv_model,HEP_TEP_SeNMR_PNMR_CNMR_bv_model)
BIC(TEP_model,SeNMR_model,PNMR_model,CNMR_model,HEP_model,bv_model,TEP_Se_model,TEP_P_model,TEP_C_model,SeNMR_PNMR_model,SeNMR_CNMR_model,PNMR_CNMR_model,HEP_TEP_model,HEP_SeNMR_model,HEP_CNMR_model,HEP_PNMR_model,HEP_bv_model,TEP_bv_model,SeNMR_bv_model,CNMR_bv_model,PNMR_bv_model,HEP_TEP_SeNMR_model,HEP_TEP_CNMR_model,HEP_TEP_PNMR_model,HEP_TEP_bv_model,HEP_SeNMR_CNMR_model,HEP_SeNMR_PNMR_model,HEP_SeNMR_bv_model,HEP_CNMR_PNMR_model,HEP_CNMR_bv_model,HEP_PNMR_bv_model,TEP_SeNMR_CNMR_model,TEP_SeNMR_PNMR_model,TEP_SeNMR_bv_model,TEP_CNMR_PNMR_model,TEP_CNMR_bv_model,TEP_PNMR_bv_model,SeNMR_CNMR_PNMR_model,SeNMR_CNMR_bv_model,SeNMR_PNMR_bv_model,CNMR_PNMR_bv_model,HEP_TEP_SeNMR_PNMR_model,HEP_TEP_SeNMR_CNMR_model,HEP_TEP_SeNMR_bv_model,HEP_TEP_PNMR_CNMR_model,HEP_TEP_PNMR_bv_model,HEP_TEP_CNMR_bv_model,HEP_SeNMR_PNMR_CNMR_model,HEP_SeNMR_PNMR_bv_model,HEP_SeNMR_CNMR_bv_model,HEP_PNMR_CNMR_bv_model,TEP_SeNMR_PNMR_CNMR_model,TEP_SeNMR_PNMR_bv_model,TEP_SeNMR_CNMR_bv_model,TEP_PNMR_CNMR_bv_model,SeNMR_PNMR_CNMR_bv_model,HEP_TEP_SeNMR_PNMR_CNMR_model,HEP_TEP_SeNMR_PNMR_bv_model,HEP_TEP_SeNMR_CNMR_bv_model,HEP_TEP_PNMR_CNMR_bv_model,HEP_SeNMR_PNMR_CNMR_bv_model,TEP_SeNMR_PNMR_CNMR_bv_model,HEP_TEP_SeNMR_PNMR_CNMR_bv_model)

#Print predicted value
predict(TEP_PNMR_CNMR_bv_model)
predict(HEP_TEP_PNMR_CNMR_bv_model)
predict(TEP_SeNMR_PNMR_CNMR_bv_model)
predict(HEP_TEP_SeNMR_PNMR_CNMR_bv_model)
predict(HEP_TEP_SeNMR_PNMR_bv_model)
test <- lm(Research_Data_Compilation_simplified$tau ~ predict(TEP_PNMR_CNMR_bv_model) )

